| Home | Libraries | People | FAQ | More

##### http::parser::need_eof

(Inherited from `http::basic_parser`)

Returns `true` if the message semantics require an end of file.

###### Synopsis

    bool
    need_eof() const;

###### Description

Depending on the contents of the header, the parser may require and end of file notification to know where the end of the body lies. If this function returns `true` it will be necessary to call `http::basic_parser::put_eof` when there will never be additional data from the input.